using System;
using System.Windows.Forms;
using System.Security.Principal;

namespace Manager
{
	/// <summary>
	/// Summary description for SecurityWindows.
	/// </summary>
	internal class SecurityWindows
	{
		internal SecurityWindows()
		{
			//
			// TODO: Add constructor logic here
			//
		}

		private Form launchForm;
		internal Form LaunchForm
		{
			get { return launchForm; }
			set { launchForm = value; }
		}

		private void LaunchingForm(Form form)
		{
			form.Show();
		}

		internal bool SecureInvoke(WindowsPrincipal wp)
		{
			try
			{
				frmManager manager = new frmManager();
					
				if (wp.IsInRole("ChiefManagers"))
				{
					manager.panel12.Visible = true;
					manager.gbPaymentDB.Visible = true;
				}
				else if (wp.IsInRole("Managers"))
				{
					manager.panel12.Visible = true;
					manager.gbPaymentDB.Visible = true;
				}
				else if (wp.IsInRole("Employees"))
				{
					manager.panel12.Visible = false;
					manager.gbPaymentDB.Visible = false;
				}				
				else 
				{
					MessageBox.Show("      ");
				
					return false;
				}

				LaunchingForm(manager);

				return true;
			}
			catch (Exception ex)
			{
				MessageBox.Show(ex.Message, ex.Source);

				return false;
			}
		}
	}
}