using System;

namespace Manager
{
	/// <summary>
	/// Summary description for UserPassword.
	/// </summary>
	public class UserAccount
	{
		private string userName;
		public string UserName
		{
			get {return userName;}
			set {userName = value;}
		}

		private string userPassword;
		public string UserPassword
		{
			get {return userPassword;}
			set {userPassword = value;}
		}

		private int groupID;
		public int GroupID
		{
			get {return groupID;}
			set {groupID = value;}
		}

		public UserAccount()
		{
			this.userName = "";
			this.userPassword = "";
			this.groupID = 0;
		}

		public UserAccount(string userName)
		{
			this.UserName = userName;
		}

		public UserAccount(string userName, string userPassword)
		{
			this.UserName = userName;
			this.UserPassword = userPassword;
		}

		public UserAccount(string userName, string userPassword, int groupID)
		{
			this.UserName = userName;
			this.UserPassword = userPassword;
			this.GroupID = groupID;
		}


		public override string ToString()
		{
			string strUser = String.Format("{0} : {1}", this.userName, this.groupID.ToString());
			return strUser;
		}

	}
}
