using System;
using System.Data;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace Manager
{
	/// <summary>
	/// Summary description for ClientPayments.
	/// </summary>
	public class frmClientPayments : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Panel panel1;
		private System.Windows.Forms.Button btnOK;
		private System.Windows.Forms.Button btnCancel;
		private System.Windows.Forms.Panel panel2;
		private System.Windows.Forms.Label label3;
		internal System.Windows.Forms.TextBox txtClientFatherName;
		private System.Windows.Forms.Label label2;
		internal System.Windows.Forms.TextBox txtClientLastName;
		internal System.Windows.Forms.TextBox txtClientFirstName;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Panel panel3;
		internal System.Windows.Forms.DataGrid dgPayments;
		private System.Windows.Forms.Panel panel4;
		internal System.Windows.Forms.DataGrid dgClientsRealization;
		private System.Windows.Forms.Splitter splitter1;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.TextBox txtIncomeSumm;
		private System.Windows.Forms.TextBox txtRealizedSumm;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.Button btnCalculate;

		private int clientID = 0;
		internal int ClientID
		{
			get { return clientID; }
			set { clientID = value; }
		}

		public frmClientPayments()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
			this.WindowState = FormWindowState.Maximized;
			DesigneDataGrids();
		}

		private void DesigneDataGrids()
		{
			//     
			DataGridTableStyle paymentsTableStyle = new DataGridTableStyle();
			paymentsTableStyle.MappingName = "income";

			DataGridTextBoxColumn incomeIDStyle = new DataGridTextBoxColumn();
			incomeIDStyle.MappingName = "incomeID";
			incomeIDStyle.Width = 150;
			incomeIDStyle.HeaderText = " ";

			DataGridTextBoxColumn clientIDStyle = new DataGridTextBoxColumn();
			clientIDStyle.MappingName = "clientID";
			clientIDStyle.Width = 150;
			clientIDStyle.HeaderText = " ";

			DataGridTextBoxColumn summaStyle = new DataGridTextBoxColumn();
			summaStyle.MappingName = "summa";
			summaStyle.Width = 100;
			summaStyle.Format = "#.0";
			summaStyle.HeaderText = "";

			DataGridTextBoxColumn payment_typeIDStyle = new DataGridTextBoxColumn();
			payment_typeIDStyle.MappingName = "payment_typeID";
			payment_typeIDStyle.Width = 100;
			payment_typeIDStyle.HeaderText = "  ";
			
			DataGridTextBoxColumn notePaymentsStyle = new DataGridTextBoxColumn();
			notePaymentsStyle.MappingName = "note";
			notePaymentsStyle.Width = 100;
			notePaymentsStyle.HeaderText = "";

			paymentsTableStyle.GridColumnStyles.AddRange(new DataGridTextBoxColumn[] {
																						incomeIDStyle, 
																						clientIDStyle,
																						summaStyle,
																						payment_typeIDStyle,
																						notePaymentsStyle});

			dgPayments.TableStyles.Add(paymentsTableStyle);

			//      
			DataGridTableStyle PlanRealizationTableStyle = new DataGridTableStyle();
			PlanRealizationTableStyle.MappingName = "PlanRealization";

			DataGridTextBoxColumn RealizationCodeStyle = new DataGridTextBoxColumn();
			RealizationCodeStyle.MappingName = "ID";
			RealizationCodeStyle.Width = 150;
			RealizationCodeStyle.HeaderText = " ";

			DataGridTextBoxColumn SummaRealizationStyle = new DataGridTextBoxColumn();
			SummaRealizationStyle.MappingName = "SummaRealization";
			SummaRealizationStyle.Width = 150;
			SummaRealizationStyle.Format = "#.0";
			SummaRealizationStyle.HeaderText = " ";

			DataGridTextBoxColumn DateRealizationStyle = new DataGridTextBoxColumn();
			DateRealizationStyle.MappingName = "DateRealization";
			DateRealizationStyle.Width = 100;			
			DateRealizationStyle.HeaderText = " ";
			
			DataGridTextBoxColumn noteRealizationStyle = new DataGridTextBoxColumn();
			noteRealizationStyle.MappingName = "Cause";
			noteRealizationStyle.Width = 100;
			noteRealizationStyle.HeaderText = "";

			PlanRealizationTableStyle.GridColumnStyles.AddRange(new DataGridTextBoxColumn[] {
																								RealizationCodeStyle, 
																								SummaRealizationStyle,
																								DateRealizationStyle,
																								noteRealizationStyle});

			dgPayments.TableStyles.Add(PlanRealizationTableStyle);

			//       
			DataGridTableStyle RealizedTableStyle = new DataGridTableStyle();
			RealizedTableStyle.MappingName = "RealizedTable";

			DataGridTextBoxColumn RealizationSummStyle = new DataGridTextBoxColumn();
			RealizationSummStyle.MappingName = "realizedSumm";
			RealizationSummStyle.Width = 150;
			RealizationSummStyle.HeaderText = "";

			DataGridTextBoxColumn RealizingDateStyle = new DataGridTextBoxColumn();
			RealizingDateStyle.MappingName = "realizingDate";
			RealizingDateStyle.Width = 150;
			RealizingDateStyle.Format = "dd-MMMM-yyyy";
			RealizingDateStyle.HeaderText = " ";

			DataGridTextBoxColumn NoteRealizationStyle = new DataGridTextBoxColumn();
			NoteRealizationStyle.MappingName = "note";
			NoteRealizationStyle.Width = 100;			
			NoteRealizationStyle.HeaderText = "";

			RealizedTableStyle.GridColumnStyles.AddRange(new DataGridTextBoxColumn[] {
																								RealizationSummStyle, 
																								RealizingDateStyle,
																								NoteRealizationStyle});

			dgClientsRealization.TableStyles.Add(RealizedTableStyle);
		}
		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.panel1 = new System.Windows.Forms.Panel();
			this.btnCalculate = new System.Windows.Forms.Button();
			this.txtRealizedSumm = new System.Windows.Forms.TextBox();
			this.label5 = new System.Windows.Forms.Label();
			this.txtIncomeSumm = new System.Windows.Forms.TextBox();
			this.label4 = new System.Windows.Forms.Label();
			this.btnCancel = new System.Windows.Forms.Button();
			this.btnOK = new System.Windows.Forms.Button();
			this.panel2 = new System.Windows.Forms.Panel();
			this.label3 = new System.Windows.Forms.Label();
			this.txtClientFatherName = new System.Windows.Forms.TextBox();
			this.label2 = new System.Windows.Forms.Label();
			this.txtClientLastName = new System.Windows.Forms.TextBox();
			this.txtClientFirstName = new System.Windows.Forms.TextBox();
			this.label1 = new System.Windows.Forms.Label();
			this.panel3 = new System.Windows.Forms.Panel();
			this.dgPayments = new System.Windows.Forms.DataGrid();
			this.panel4 = new System.Windows.Forms.Panel();
			this.dgClientsRealization = new System.Windows.Forms.DataGrid();
			this.splitter1 = new System.Windows.Forms.Splitter();
			this.panel1.SuspendLayout();
			this.panel2.SuspendLayout();
			this.panel3.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.dgPayments)).BeginInit();
			this.panel4.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.dgClientsRealization)).BeginInit();
			this.SuspendLayout();
			// 
			// panel1
			// 
			this.panel1.Controls.Add(this.btnCalculate);
			this.panel1.Controls.Add(this.txtRealizedSumm);
			this.panel1.Controls.Add(this.label5);
			this.panel1.Controls.Add(this.txtIncomeSumm);
			this.panel1.Controls.Add(this.label4);
			this.panel1.Controls.Add(this.btnCancel);
			this.panel1.Controls.Add(this.btnOK);
			this.panel1.Dock = System.Windows.Forms.DockStyle.Bottom;
			this.panel1.Location = new System.Drawing.Point(0, 389);
			this.panel1.Name = "panel1";
			this.panel1.Size = new System.Drawing.Size(576, 168);
			this.panel1.TabIndex = 0;
			// 
			// btnCalculate
			// 
			this.btnCalculate.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.btnCalculate.Location = new System.Drawing.Point(464, 40);
			this.btnCalculate.Name = "btnCalculate";
			this.btnCalculate.Size = new System.Drawing.Size(104, 23);
			this.btnCalculate.TabIndex = 9;
			this.btnCalculate.Text = "";
			this.btnCalculate.Click += new System.EventHandler(this.btnCalculate_Click);
			// 
			// txtRealizedSumm
			// 
			this.txtRealizedSumm.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.txtRealizedSumm.Font = new System.Drawing.Font("Microsoft Sans Serif", 10F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.txtRealizedSumm.ForeColor = System.Drawing.Color.RoyalBlue;
			this.txtRealizedSumm.Location = new System.Drawing.Point(432, 8);
			this.txtRealizedSumm.Name = "txtRealizedSumm";
			this.txtRealizedSumm.Size = new System.Drawing.Size(136, 23);
			this.txtRealizedSumm.TabIndex = 8;
			this.txtRealizedSumm.Text = "";
			this.txtRealizedSumm.TextAlign = System.Windows.Forms.HorizontalAlignment.Right;
			// 
			// label5
			// 
			this.label5.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.label5.Font = new System.Drawing.Font("Microsoft Sans Serif", 10F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.label5.ForeColor = System.Drawing.Color.RoyalBlue;
			this.label5.Location = new System.Drawing.Point(328, 8);
			this.label5.Name = "label5";
			this.label5.TabIndex = 4;
			this.label5.Text = ":";
			this.label5.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// txtIncomeSumm
			// 
			this.txtIncomeSumm.Font = new System.Drawing.Font("Microsoft Sans Serif", 10F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.txtIncomeSumm.ForeColor = System.Drawing.Color.RoyalBlue;
			this.txtIncomeSumm.Location = new System.Drawing.Point(160, 8);
			this.txtIncomeSumm.Name = "txtIncomeSumm";
			this.txtIncomeSumm.Size = new System.Drawing.Size(128, 23);
			this.txtIncomeSumm.TabIndex = 7;
			this.txtIncomeSumm.Text = "";
			this.txtIncomeSumm.TextAlign = System.Windows.Forms.HorizontalAlignment.Right;
			// 
			// label4
			// 
			this.label4.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
			this.label4.Font = new System.Drawing.Font("Microsoft Sans Serif", 10F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.label4.ForeColor = System.Drawing.Color.RoyalBlue;
			this.label4.Location = new System.Drawing.Point(56, 8);
			this.label4.Name = "label4";
			this.label4.TabIndex = 2;
			this.label4.Text = ":";
			this.label4.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
			// 
			// btnCancel
			// 
			this.btnCancel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.btnCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.btnCancel.Location = new System.Drawing.Point(464, 128);
			this.btnCancel.Name = "btnCancel";
			this.btnCancel.Size = new System.Drawing.Size(104, 23);
			this.btnCancel.TabIndex = 1;
			this.btnCancel.Text = "&Cancel";
			// 
			// btnOK
			// 
			this.btnOK.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.btnOK.DialogResult = System.Windows.Forms.DialogResult.OK;
			this.btnOK.Location = new System.Drawing.Point(464, 96);
			this.btnOK.Name = "btnOK";
			this.btnOK.Size = new System.Drawing.Size(104, 24);
			this.btnOK.TabIndex = 0;
			this.btnOK.Text = "&OK";
			// 
			// panel2
			// 
			this.panel2.Controls.Add(this.label3);
			this.panel2.Controls.Add(this.txtClientFatherName);
			this.panel2.Controls.Add(this.label2);
			this.panel2.Controls.Add(this.txtClientLastName);
			this.panel2.Controls.Add(this.txtClientFirstName);
			this.panel2.Controls.Add(this.label1);
			this.panel2.Dock = System.Windows.Forms.DockStyle.Top;
			this.panel2.Location = new System.Drawing.Point(0, 0);
			this.panel2.Name = "panel2";
			this.panel2.Size = new System.Drawing.Size(576, 72);
			this.panel2.TabIndex = 18;
			// 
			// label3
			// 
			this.label3.Location = new System.Drawing.Point(240, 16);
			this.label3.Name = "label3";
			this.label3.TabIndex = 20;
			this.label3.Text = "";
			// 
			// txtClientFatherName
			// 
			this.txtClientFatherName.Location = new System.Drawing.Point(240, 40);
			this.txtClientFatherName.Name = "txtClientFatherName";
			this.txtClientFatherName.TabIndex = 4;
			this.txtClientFatherName.Text = "";
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(128, 16);
			this.label2.Name = "label2";
			this.label2.TabIndex = 18;
			this.label2.Text = "";
			// 
			// txtClientLastName
			// 
			this.txtClientLastName.Location = new System.Drawing.Point(16, 40);
			this.txtClientLastName.Name = "txtClientLastName";
			this.txtClientLastName.TabIndex = 2;
			this.txtClientLastName.Text = "";
			// 
			// txtClientFirstName
			// 
			this.txtClientFirstName.Location = new System.Drawing.Point(128, 40);
			this.txtClientFirstName.Name = "txtClientFirstName";
			this.txtClientFirstName.TabIndex = 3;
			this.txtClientFirstName.Text = "";
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(16, 16);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(80, 24);
			this.label1.TabIndex = 15;
			this.label1.Text = "";
			// 
			// panel3
			// 
			this.panel3.AutoScroll = true;
			this.panel3.Controls.Add(this.dgPayments);
			this.panel3.Dock = System.Windows.Forms.DockStyle.Left;
			this.panel3.Location = new System.Drawing.Point(0, 72);
			this.panel3.Name = "panel3";
			this.panel3.Size = new System.Drawing.Size(296, 317);
			this.panel3.TabIndex = 19;
			// 
			// dgPayments
			// 
			this.dgPayments.CaptionFont = new System.Drawing.Font("Microsoft Sans Serif", 10F, System.Drawing.FontStyle.Bold);
			this.dgPayments.CaptionText = " ";
			this.dgPayments.DataMember = "";
			this.dgPayments.Dock = System.Windows.Forms.DockStyle.Fill;
			this.dgPayments.HeaderForeColor = System.Drawing.SystemColors.ControlText;
			this.dgPayments.Location = new System.Drawing.Point(0, 0);
			this.dgPayments.Name = "dgPayments";
			this.dgPayments.Size = new System.Drawing.Size(296, 317);
			this.dgPayments.TabIndex = 5;
			this.dgPayments.Click += new System.EventHandler(this.dgPayments_Click);
			// 
			// panel4
			// 
			this.panel4.AutoScroll = true;
			this.panel4.Controls.Add(this.dgClientsRealization);
			this.panel4.Dock = System.Windows.Forms.DockStyle.Fill;
			this.panel4.Location = new System.Drawing.Point(296, 72);
			this.panel4.Name = "panel4";
			this.panel4.Size = new System.Drawing.Size(280, 317);
			this.panel4.TabIndex = 20;
			// 
			// dgClientsRealization
			// 
			this.dgClientsRealization.CaptionFont = new System.Drawing.Font("Microsoft Sans Serif", 10F, System.Drawing.FontStyle.Bold);
			this.dgClientsRealization.CaptionText = " ";
			this.dgClientsRealization.DataMember = "";
			this.dgClientsRealization.Dock = System.Windows.Forms.DockStyle.Fill;
			this.dgClientsRealization.HeaderForeColor = System.Drawing.SystemColors.ControlText;
			this.dgClientsRealization.Location = new System.Drawing.Point(0, 0);
			this.dgClientsRealization.Name = "dgClientsRealization";
			this.dgClientsRealization.Size = new System.Drawing.Size(280, 317);
			this.dgClientsRealization.TabIndex = 6;
			// 
			// splitter1
			// 
			this.splitter1.Location = new System.Drawing.Point(296, 72);
			this.splitter1.Name = "splitter1";
			this.splitter1.Size = new System.Drawing.Size(3, 317);
			this.splitter1.TabIndex = 21;
			this.splitter1.TabStop = false;
			// 
			// frmClientPayments
			// 
			this.AcceptButton = this.btnOK;
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.CancelButton = this.btnCancel;
			this.ClientSize = new System.Drawing.Size(576, 557);
			this.Controls.Add(this.splitter1);
			this.Controls.Add(this.panel4);
			this.Controls.Add(this.panel3);
			this.Controls.Add(this.panel2);
			this.Controls.Add(this.panel1);
			this.Name = "frmClientPayments";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = "   ";
			this.panel1.ResumeLayout(false);
			this.panel2.ResumeLayout(false);
			this.panel3.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.dgPayments)).EndInit();
			this.panel4.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.dgClientsRealization)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		private void dgPayments_Click(object sender, System.EventArgs e)
		{
			
		}

		private void btnCalculate_Click(object sender, System.EventArgs e)
		{
			try
			{
				DataView dvIncome = (DataView)dgPayments.DataSource;

				double incomeSumm = 0;
				foreach (DataRowView drvIncome in dvIncome)
				{
					incomeSumm += (double)drvIncome.Row["summa"];
				}

				txtIncomeSumm.Text = incomeSumm.ToString("C");
				
				DataView dvRealized = (DataView)dgClientsRealization.DataSource;

				double realizedSumm = 0;
				foreach (DataRowView drvRealized in dvRealized)
				{
					realizedSumm += (double)drvRealized.Row["realizedSumm"];
				}

				txtRealizedSumm.Text = realizedSumm.ToString("C");
			}
			catch (Exception ex)
			{
				MessageBox.Show(ex.Message, ex.Source);
			}
		}
	}
}
