using System;
using System.Data;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using SelectingFormInterface;
using Manager.Forms;

namespace Manager
{
	/// <summary>
	/// Summary description for Employees.
	/// </summary>
	public class frmEmployee : System.Windows.Forms.Form, ISelectingForm
	{
		#region
		private System.Windows.Forms.Panel panel1;
		private System.Windows.Forms.Panel panel2;
		private System.Windows.Forms.DataGrid dgEmployees;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.TextBox txtEmployeeFirstName;
		private System.Windows.Forms.TextBox txtEmployeeLastName;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.TextBox txtEmployeeFatherName;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.DateTimePicker dtpBirthday;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.TextBox txtEmployeeNotes;
		private System.Windows.Forms.ComboBox cmbDirections;
		private System.Windows.Forms.Label label6;
		private System.Windows.Forms.Splitter splitter1;
		private System.Windows.Forms.GroupBox groupBox1;
		private System.Windows.Forms.Button btnPrev;
		private System.Windows.Forms.Button btnNext;
		private System.Windows.Forms.MainMenu mainMenu1;
		private System.Windows.Forms.MenuItem mnuFile;
		private System.Windows.Forms.MenuItem miExit;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;
		private CurrencyManager cmEmployees;
		private System.Windows.Forms.Button btnOK;
		private System.Windows.Forms.Button btnCancel;
		#endregion
		private Manager.Forms.MainDataSet mainDataSet;

		#region IFindingForm Members

		private DataRow selectedRow = null;
		public DataRow SelectedRow
		{
			get { return selectedRow; }
			set { selectedRow = value; }
		}

		#endregion

		public frmEmployee(MainDataSet mainDataSet)
		{
			InitializeComponent();

			this.mainDataSet = mainDataSet;
			this.InitDefaultSettings();
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.panel1 = new System.Windows.Forms.Panel();
			this.btnCancel = new System.Windows.Forms.Button();
			this.btnOK = new System.Windows.Forms.Button();
			this.groupBox1 = new System.Windows.Forms.GroupBox();
			this.btnNext = new System.Windows.Forms.Button();
			this.btnPrev = new System.Windows.Forms.Button();
			this.label6 = new System.Windows.Forms.Label();
			this.cmbDirections = new System.Windows.Forms.ComboBox();
			this.txtEmployeeNotes = new System.Windows.Forms.TextBox();
			this.label5 = new System.Windows.Forms.Label();
			this.dtpBirthday = new System.Windows.Forms.DateTimePicker();
			this.label4 = new System.Windows.Forms.Label();
			this.txtEmployeeFatherName = new System.Windows.Forms.TextBox();
			this.label3 = new System.Windows.Forms.Label();
			this.txtEmployeeLastName = new System.Windows.Forms.TextBox();
			this.label2 = new System.Windows.Forms.Label();
			this.txtEmployeeFirstName = new System.Windows.Forms.TextBox();
			this.label1 = new System.Windows.Forms.Label();
			this.panel2 = new System.Windows.Forms.Panel();
			this.dgEmployees = new System.Windows.Forms.DataGrid();
			this.splitter1 = new System.Windows.Forms.Splitter();
			this.mainMenu1 = new System.Windows.Forms.MainMenu();
			this.mnuFile = new System.Windows.Forms.MenuItem();
			this.miExit = new System.Windows.Forms.MenuItem();
			this.mainDataSet = new Manager.Forms.MainDataSet();
			this.panel1.SuspendLayout();
			this.groupBox1.SuspendLayout();
			this.panel2.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.dgEmployees)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.mainDataSet)).BeginInit();
			this.SuspendLayout();
			// 
			// panel1
			// 
			this.panel1.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
			this.panel1.Controls.Add(this.btnCancel);
			this.panel1.Controls.Add(this.btnOK);
			this.panel1.Controls.Add(this.groupBox1);
			this.panel1.Controls.Add(this.label6);
			this.panel1.Controls.Add(this.cmbDirections);
			this.panel1.Controls.Add(this.txtEmployeeNotes);
			this.panel1.Controls.Add(this.label5);
			this.panel1.Controls.Add(this.dtpBirthday);
			this.panel1.Controls.Add(this.label4);
			this.panel1.Controls.Add(this.txtEmployeeFatherName);
			this.panel1.Controls.Add(this.label3);
			this.panel1.Controls.Add(this.txtEmployeeLastName);
			this.panel1.Controls.Add(this.label2);
			this.panel1.Controls.Add(this.txtEmployeeFirstName);
			this.panel1.Controls.Add(this.label1);
			this.panel1.Dock = System.Windows.Forms.DockStyle.Left;
			this.panel1.Location = new System.Drawing.Point(0, 0);
			this.panel1.Name = "panel1";
			this.panel1.Size = new System.Drawing.Size(256, 451);
			this.panel1.TabIndex = 0;
			// 
			// btnCancel
			// 
			this.btnCancel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
			this.btnCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.btnCancel.Location = new System.Drawing.Point(160, 420);
			this.btnCancel.Name = "btnCancel";
			this.btnCancel.TabIndex = 8;
			this.btnCancel.Text = "Cancel";
			// 
			// btnOK
			// 
			this.btnOK.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
			this.btnOK.DialogResult = System.Windows.Forms.DialogResult.OK;
			this.btnOK.Location = new System.Drawing.Point(80, 420);
			this.btnOK.Name = "btnOK";
			this.btnOK.TabIndex = 7;
			this.btnOK.Text = "OK";
			// 
			// groupBox1
			// 
			this.groupBox1.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.groupBox1.Controls.Add(this.btnNext);
			this.groupBox1.Controls.Add(this.btnPrev);
			this.groupBox1.Location = new System.Drawing.Point(8, 336);
			this.groupBox1.Name = "groupBox1";
			this.groupBox1.Size = new System.Drawing.Size(228, 64);
			this.groupBox1.TabIndex = 6;
			this.groupBox1.TabStop = false;
			// 
			// btnNext
			// 
			this.btnNext.Location = new System.Drawing.Point(136, 24);
			this.btnNext.Name = "btnNext";
			this.btnNext.TabIndex = 1;
			this.btnNext.Text = "";
			// 
			// btnPrev
			// 
			this.btnPrev.Location = new System.Drawing.Point(16, 24);
			this.btnPrev.Name = "btnPrev";
			this.btnPrev.TabIndex = 0;
			this.btnPrev.Text = "";
			// 
			// label6
			// 
			this.label6.ForeColor = System.Drawing.Color.DarkGreen;
			this.label6.Location = new System.Drawing.Point(72, 176);
			this.label6.Name = "label6";
			this.label6.Size = new System.Drawing.Size(100, 16);
			this.label6.TabIndex = 11;
			this.label6.Text = "";
			// 
			// cmbDirections
			// 
			this.cmbDirections.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.cmbDirections.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.cmbDirections.ForeColor = System.Drawing.SystemColors.HotTrack;
			this.cmbDirections.Location = new System.Drawing.Point(72, 192);
			this.cmbDirections.Name = "cmbDirections";
			this.cmbDirections.Size = new System.Drawing.Size(164, 24);
			this.cmbDirections.TabIndex = 4;
			// 
			// txtEmployeeNotes
			// 
			this.txtEmployeeNotes.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.txtEmployeeNotes.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.txtEmployeeNotes.ForeColor = System.Drawing.SystemColors.HotTrack;
			this.txtEmployeeNotes.Location = new System.Drawing.Point(8, 256);
			this.txtEmployeeNotes.Multiline = true;
			this.txtEmployeeNotes.Name = "txtEmployeeNotes";
			this.txtEmployeeNotes.Size = new System.Drawing.Size(226, 72);
			this.txtEmployeeNotes.TabIndex = 5;
			this.txtEmployeeNotes.Text = "";
			// 
			// label5
			// 
			this.label5.ForeColor = System.Drawing.Color.DarkGreen;
			this.label5.Location = new System.Drawing.Point(8, 240);
			this.label5.Name = "label5";
			this.label5.Size = new System.Drawing.Size(100, 16);
			this.label5.TabIndex = 8;
			this.label5.Text = "";
			// 
			// dtpBirthday
			// 
			this.dtpBirthday.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.dtpBirthday.CustomFormat = "dd MMMM yyyy";
			this.dtpBirthday.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.dtpBirthday.Format = System.Windows.Forms.DateTimePickerFormat.Custom;
			this.dtpBirthday.Location = new System.Drawing.Point(72, 136);
			this.dtpBirthday.Name = "dtpBirthday";
			this.dtpBirthday.Size = new System.Drawing.Size(164, 22);
			this.dtpBirthday.TabIndex = 3;
			// 
			// label4
			// 
			this.label4.ForeColor = System.Drawing.Color.DarkGreen;
			this.label4.Location = new System.Drawing.Point(72, 120);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(100, 16);
			this.label4.TabIndex = 6;
			this.label4.Text = " ";
			// 
			// txtEmployeeFatherName
			// 
			this.txtEmployeeFatherName.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.txtEmployeeFatherName.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.txtEmployeeFatherName.ForeColor = System.Drawing.SystemColors.HotTrack;
			this.txtEmployeeFatherName.Location = new System.Drawing.Point(72, 72);
			this.txtEmployeeFatherName.Name = "txtEmployeeFatherName";
			this.txtEmployeeFatherName.Size = new System.Drawing.Size(162, 22);
			this.txtEmployeeFatherName.TabIndex = 2;
			this.txtEmployeeFatherName.Text = "";
			// 
			// label3
			// 
			this.label3.ForeColor = System.Drawing.Color.DarkGreen;
			this.label3.Location = new System.Drawing.Point(8, 72);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(56, 23);
			this.label3.TabIndex = 4;
			this.label3.Text = "";
			this.label3.TextAlign = System.Drawing.ContentAlignment.TopRight;
			// 
			// txtEmployeeLastName
			// 
			this.txtEmployeeLastName.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.txtEmployeeLastName.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.txtEmployeeLastName.ForeColor = System.Drawing.SystemColors.HotTrack;
			this.txtEmployeeLastName.Location = new System.Drawing.Point(72, 40);
			this.txtEmployeeLastName.Name = "txtEmployeeLastName";
			this.txtEmployeeLastName.Size = new System.Drawing.Size(164, 22);
			this.txtEmployeeLastName.TabIndex = 1;
			this.txtEmployeeLastName.Text = "";
			// 
			// label2
			// 
			this.label2.ForeColor = System.Drawing.Color.DarkGreen;
			this.label2.Location = new System.Drawing.Point(8, 40);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(56, 23);
			this.label2.TabIndex = 2;
			this.label2.Text = "";
			this.label2.TextAlign = System.Drawing.ContentAlignment.TopRight;
			// 
			// txtEmployeeFirstName
			// 
			this.txtEmployeeFirstName.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.txtEmployeeFirstName.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.txtEmployeeFirstName.ForeColor = System.Drawing.SystemColors.HotTrack;
			this.txtEmployeeFirstName.Location = new System.Drawing.Point(72, 8);
			this.txtEmployeeFirstName.Name = "txtEmployeeFirstName";
			this.txtEmployeeFirstName.Size = new System.Drawing.Size(164, 22);
			this.txtEmployeeFirstName.TabIndex = 0;
			this.txtEmployeeFirstName.Text = "";
			// 
			// label1
			// 
			this.label1.ForeColor = System.Drawing.Color.DarkGreen;
			this.label1.Location = new System.Drawing.Point(32, 8);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(32, 23);
			this.label1.TabIndex = 0;
			this.label1.Text = "";
			this.label1.TextAlign = System.Drawing.ContentAlignment.TopRight;
			// 
			// panel2
			// 
			this.panel2.AutoScroll = true;
			this.panel2.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
			this.panel2.Controls.Add(this.dgEmployees);
			this.panel2.Dock = System.Windows.Forms.DockStyle.Fill;
			this.panel2.Location = new System.Drawing.Point(256, 0);
			this.panel2.Name = "panel2";
			this.panel2.Size = new System.Drawing.Size(418, 451);
			this.panel2.TabIndex = 1;
			// 
			// dgEmployees
			// 
			this.dgEmployees.AllowNavigation = false;
			this.dgEmployees.CaptionText = "";
			this.dgEmployees.DataMember = "";
			this.dgEmployees.Dock = System.Windows.Forms.DockStyle.Fill;
			this.dgEmployees.HeaderForeColor = System.Drawing.SystemColors.ControlText;
			this.dgEmployees.Location = new System.Drawing.Point(0, 0);
			this.dgEmployees.Name = "dgEmployees";
			this.dgEmployees.Size = new System.Drawing.Size(414, 447);
			this.dgEmployees.TabIndex = 0;
			// 
			// splitter1
			// 
			this.splitter1.Location = new System.Drawing.Point(256, 0);
			this.splitter1.Name = "splitter1";
			this.splitter1.Size = new System.Drawing.Size(3, 451);
			this.splitter1.TabIndex = 1;
			this.splitter1.TabStop = false;
			// 
			// mainMenu1
			// 
			this.mainMenu1.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					  this.mnuFile});
			// 
			// mnuFile
			// 
			this.mnuFile.Index = 0;
			this.mnuFile.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					this.miExit});
			this.mnuFile.Text = "File";
			// 
			// miExit
			// 
			this.miExit.Index = 0;
			this.miExit.Text = "Exit";
			this.miExit.Click += new System.EventHandler(this.miExit_Click);
			// 
			// mainDataSet
			// 
			this.mainDataSet.DataSetName = "MainDataSet";
			this.mainDataSet.Locale = new System.Globalization.CultureInfo("ru-RU");
			// 
			// frmEmployee
			// 
			this.AcceptButton = this.btnOK;
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.CancelButton = this.btnCancel;
			this.ClientSize = new System.Drawing.Size(674, 451);
			this.Controls.Add(this.splitter1);
			this.Controls.Add(this.panel2);
			this.Controls.Add(this.panel1);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.Menu = this.mainMenu1;
			this.Name = "frmEmployee";
			this.Text = "";
			this.panel1.ResumeLayout(false);
			this.groupBox1.ResumeLayout(false);
			this.panel2.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.dgEmployees)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.mainDataSet)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		private void InitDefaultSettings()
		{
			try
			{
				cmEmployees = (CurrencyManager)this.BindingContext[mainDataSet, "employees"];
			
				txtEmployeeFirstName.DataBindings.Add("Text", mainDataSet, "employees.FirstName");
				txtEmployeeLastName.DataBindings.Add("Text", mainDataSet, "employees.LastName");
				txtEmployeeFatherName.DataBindings.Add("Text", mainDataSet, "employees.FatherName");
				dtpBirthday.DataBindings.Add("Value", mainDataSet, "employees.birthDay");
				txtEmployeeNotes.DataBindings.Add("Text", mainDataSet, "employees.linkData");
				cmbDirections.DataBindings.Add("Text", mainDataSet, "employees.directionID");

				dgEmployees.DataSource = mainDataSet.employees;
				dgEmployees.MouseUp += new MouseEventHandler(dgEmployees_MouseUp);
				btnNext.Click += new EventHandler(btnNext_Click);
				btnPrev.Click += new EventHandler(btnPrev_Click);

				this.DesignDatagrid();
			}
			catch (Exception ex)
			{
				MessageBox.Show(ex.Message, ex.Source);
			}
		}

		private void miExit_Click(object sender, System.EventArgs e)
		{
			this.Close();
		}

		private void btnNext_Click(object sender, EventArgs e)
		{
			if (cmEmployees.Position < mainDataSet.employees.Rows.Count)
				cmEmployees.Position++;
			
		}

		private void btnPrev_Click(object sender, EventArgs e)
		{
			if (cmEmployees.Position > 0)
				cmEmployees.Position--;
		}

		private void SetSelectedRow(DataGrid dataGrid, DataGrid.HitTestInfo hti)
		{
			try
			{
				int rowIndex = hti.Row;
				DataTable table = (DataTable)dataGrid.DataSource;
				
				if (rowIndex == table.Rows.Count)
					return;				
				
				DataRow selectedRow = table.Rows[rowIndex];

				this.SelectedRow = selectedRow;
			}
			catch (Exception ex)
			{
				MessageBox.Show(ex.Message, ex.Source);
			}
		}

		private void dgEmployees_MouseUp(object sender, MouseEventArgs e)
		{
			DataGrid.HitTestInfo hti = dgEmployees.HitTest(e.X, e.Y);
			if ((hti.Row != -1) && (hti.Column != -1))
				SetSelectedRow(dgEmployees, hti);
		}

		private void DesignDatagrid()
		{
			DataGridTableStyle employeesTableStyle = new DataGridTableStyle();
			employeesTableStyle.MappingName = "employees";

			DataGridTextBoxColumn employeeIDStyle = new DataGridTextBoxColumn();
			employeeIDStyle.MappingName = "employeeID";
			employeeIDStyle.Width = 50;
			employeeIDStyle.HeaderText = "ID";

			DataGridTextBoxColumn lastNameStyle = new DataGridTextBoxColumn();
			lastNameStyle.MappingName = "LastName";
			lastNameStyle.Width = 120;
			lastNameStyle.HeaderText = "";

			DataGridTextBoxColumn firstNameStyle = new DataGridTextBoxColumn();
			firstNameStyle.MappingName = "FirstName";
			firstNameStyle.Width = 150;
			firstNameStyle.HeaderText = "";

			DataGridTextBoxColumn fatherNameStyle = new DataGridTextBoxColumn();
			fatherNameStyle.MappingName = "amountToday";
			fatherNameStyle.Width = 150;
			fatherNameStyle.HeaderText = "";

			DataGridTextBoxColumn linkDataStyle = new DataGridTextBoxColumn();
			linkDataStyle.MappingName = "linkData";
			linkDataStyle.Width = 150;
			linkDataStyle.HeaderText = "";

			DataGridTextBoxColumn birthDayStyle = new DataGridTextBoxColumn();
			birthDayStyle.MappingName = "birthDay";
			birthDayStyle.Width = 100;
			birthDayStyle.HeaderText = " ";

			DataGridTextBoxColumn directionIDStyle = new DataGridTextBoxColumn();
			directionIDStyle.MappingName = "directionID";
			directionIDStyle.Width = 60;
			directionIDStyle.HeaderText = "directionID";

			DataGridTextBoxColumn addressStyle = new DataGridTextBoxColumn();
			addressStyle.MappingName = "Address";
			addressStyle.Width = 300;
			addressStyle.HeaderText = "";

			DataGridTextBoxColumn notesStyle = new DataGridTextBoxColumn();
			notesStyle.MappingName = "Notes";
			notesStyle.Width = 100;
			notesStyle.HeaderText = "Notes";

			DataGridTextBoxColumn passportSerialNumberStyle = new DataGridTextBoxColumn();
			passportSerialNumberStyle.MappingName = "PassportSerialNumber";
			passportSerialNumberStyle.Width = 100;
			passportSerialNumberStyle.HeaderText = " ";

			DataGridTextBoxColumn dataPrinyatiyaStyle = new DataGridTextBoxColumn();
			dataPrinyatiyaStyle.MappingName = "DataP";
			dataPrinyatiyaStyle.Width = 100;
			dataPrinyatiyaStyle.HeaderText = "DataP";

			DataGridTextBoxColumn kStyle = new DataGridTextBoxColumn();
			kStyle.MappingName = "K";
			kStyle.Width = 100;
			kStyle.HeaderText = "K";

			DataGridTextBoxColumn postStyle = new DataGridTextBoxColumn();
			postStyle.MappingName = "Post";
			postStyle.Width = 100;
			postStyle.HeaderText = "Post";

			employeesTableStyle.GridColumnStyles.AddRange(new DataGridTextBoxColumn[] {
																					   employeeIDStyle, 
																					   lastNameStyle,
																					   firstNameStyle,
																					   fatherNameStyle,
																					   linkDataStyle, 
																					   birthDayStyle, 	
																					   directionIDStyle, 
																					   addressStyle, 
																					   notesStyle, 
																					   passportSerialNumberStyle, 
																					   dataPrinyatiyaStyle, 
	   																				   kStyle, 
																					   postStyle});

			dgEmployees.TableStyles.Add(employeesTableStyle);
		}


//		private void dgEmployees_Click(object sender, EventArgs e)
//		{
//			try
//			{
//				int rowIndex = dgEmployees.CurrentRowIndex;
//
//				if (rowIndex == frmNetDecManager.mainDataSet1.employees.Rows.Count)
//					return;
//
//				this.SelectedRow = frmNetDecManager.mainDataSet1.employees.Rows[rowIndex];
//			}
//			catch (Exception ex)
//			{
//				MessageBox.Show(ex.Message, ex.Source);
//			}
//		}
	}
}